// Copyright (c) 2018 Kerlink SA. All rights reserved.

#ifndef _CORE_API_H_
#define _CORE_API_H_

#include <pthread.h>
#include <sys/types.h>

#include "lib/sx1301ar/gps.h"
#include "lib/sx1301ar/hal.h"

#include "common/api.h"

#include "jit.h"

int api_core_send(struct core *core, sx1301ar_rx_pkt_t *rxpkt, size_t rxpkt_nb, size_t nb_board);

int api_core_send_event(struct core *core, sx1301ar_tx_pkt_t *txpkt, jit_error_t jit_error);

int api_core_recv(struct core *core, sx1301ar_tx_pkt_t *txpkt, jit_pkt_type_t *downlink_type, size_t *nb_board);

#endif
