// Copyright (c) 2018 Kerlink SA. All rights reserved.

#ifndef _COMMON_STATISTICS_H_
#define _COMMON_STATISTICS_H_

#include <stdint.h>

struct statistics {
	uint32_t uplink_received;
	uint32_t uplink_invalid;
	uint32_t uplink_valid;
	uint32_t uplink_bytes_received;
	uint32_t downlink_requested;
	uint32_t downlink_scheduled;
	uint32_t downlink_transmitted;
	uint32_t downlink_bytes_transmitted;
	float radio_temperature;
	int has_radio_temperature;
	float gps_latitude;
	float gps_longitude;
	int32_t gps_altitude;
	int has_gps_coordinates;
	uint32_t gps_lost_pulse;
	int has_gps_lost_pulse;
	uint32_t version_fpga;
	int has_version_fpga;
	uint32_t version_dsp;
	int has_version_dsp;
	char version_hal[32];
	int has_version_hal;
};

#endif
