// Copyright (c) 2018 Kerlink SA. All rights reserved.

#ifndef _CORE_API_H_
#define _CORE_API_H_

#include <pthread.h>

#include "lib/loragw/gps.h"
#include "lib/loragw/hal.h"

#include "common/api.h"

#include "jit.h"

int api_core_send(struct core *core, struct lgw_pkt_rx_s *rxpkt, uint8_t rxpkt_nb);

int api_core_send_event(struct core *core, struct lgw_pkt_tx_s *txpkt, enum jit_error_e jit_error);

int api_core_recv(struct core *core, struct lgw_pkt_tx_s *txpkt, enum jit_pkt_type_e *downlink_type);

#endif
