// Copyright (c) 2018 Kerlink SA. All rights reserved.

#ifndef _DRIVERS_SPIMUX_H_
#define _DRIVERS_SPIMUX_H_

#include <stdint.h>

#include "spi.h"

struct spimux_device {
	void (*close)(struct spimux_device *dev);
	struct spi_device *(*get_spi)(struct spimux_device *dev, uint8_t id);
};

struct spimux_device *spimux_open(struct spi_device *spi);

#endif
