// Copyright (c) 2018 Kerlink SA. All rights reserved.

#ifndef _UTILS_STRING_LIST_H_
#define _UTILS_STRING_LIST_H_

#include <sys/types.h>

struct stringlist {
	char **strings;
	size_t nb_strings;
};

#define STRINGLIST_INIT                                                        \
	{                                                                      \
		NULL, 0                                                        \
	}

void stringlist_init(struct stringlist *slist);

void *stringlist_memadd(struct stringlist *slist, const void *data, size_t len);

char *stringlist_stradd(struct stringlist *slist, const char *str);

void stringlist_free(struct stringlist *slist);

#endif
